Skip to content

Create authenticator device from otpauth URL

POST
/api/devices/otpauth-url

Create a saved virtual 2FA authenticator device from an otpauth://totp URL.

Authorizations

ApiKey
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"expiresAt": "2026-05-19T12:00:00.000Z",
  
"name": "GitHub staging",
  
"username": "qa@example.com",
  
"issuer": "GitHub",
  
"digits": 6,
  
"period": 30,
  
"algorithm": "SHA1",
  
"otpAuthUrl": "otpauth://totp/GitHub:qa@example.com?secret=JBSWY3DPEHPK3PXP&issuer=GitHub"
}

Responses

application/json
JSON
{
  
"id": "9b1f6ec0-b90d-4bd8-8dd0-f6b2d5138273",
  
"organisation_id": "7f0a9c32-66b2-4e25-a4cf-1f77db8f7f3b",
  
"name": "GitHub staging",
  
"username": "qa@example.com",
  
"issuer": "GitHub",
  
"digits": 6,
  
"period": 30,
  
"algorithm": "SHA1",
  
"source": "custom",
  
"expiresAt": "2026-05-19T12:00:00.000Z",
  
"created_at": "2026-05-18T12:00:00.000Z",
  
"updated_at": "2026-05-18T12:00:00.000Z"
}

Playground

Server
Authorization
Body

Samples

Powered by VitePress OpenAPI